Subject: Re: [Megaco] SDP equivalents

From: Troy Cauble <[email-masked]>
Date: Mon, 30 Aug 2004 12:31:42 -0400

We implemented the second form.  Don't miss the "double wrapping"
defined in the Recommendation.

-troy

[email-masked] wrote:

> 
> In my opinion, the second form would be the right one, but let's hear from peoplke 
> who have implemented binary.
> 
> Kalleitner Franz wrote:
> 
> 
>>Dear Megaco-List members,
>>
>>I would be interested in finding an implementation rule concerning SDP
>>equivalents.
>>As known  thec SDP lines an be imbedded as octet string in the binary
>>encoded H248 local and remote descriptor.
>>Further, as PkgdName the native property tags specified in Annex C11 are
>>used, to address specific SDP lines (e.g v=,m=,...)
>>
>>I wonder if the octet string includes the SDP description types as
>>v=,m=,.... since this information is already present with the property tag.
>>I found nowhere a clear statement if these SDP "prefixes" are still part of
>>the octet string or not.
>>It would be great if somebody could respond if variant 1 or 2 is the 
>>correct
>>format:
>>
>>Variant 1 (with SDP line descriptor 'm='):
>>....
>>localDescriptor {
>>        propGps {
>>                {
>>                        {
>>                        name ´0000B00F´H   // SDP_M
>>                        value {
>>                                        ´m=audio $ RTP/AVP 96' } } } } }
>>
>>Variant 2 (without SDP line descriptors 'm='):
>>....
>>localDescriptor {
>>        propGps {
>>                {
>>                        {
>>                        name ´0000B00F´H   // SDP_M
>>                        value {
>>                                        ´audio $ RTP/AVP 96' } } } } }
>>               
>>                       
>>Thanks !

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco